Skip to Content

Download Order Summary - DownloadOrderSummary

Overview

Generate an order summary Excel file (2 sheets: paid orders and unpaid orders) and return a US3 presigned download URL; StartTime/EndTime are required

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is DownloadOrderSummary.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
StartTimeintQuery start time (Unix timestamp, seconds), requiredYes
EndTimeintQuery end time (Unix timestamp, seconds), required; must be greater than StartTimeYes
ResourceIds.NstringResource ID list (optional)No
ModelIds.NstringModel ID list (optional)No
PricingUnits.NintPricing unit list (optional)No
OrderTypes.NintOrder type list (optional)No
ChargeTypes.NintCharge type list (optional)No
OrganizationIds.NintOrganization ID list (optional)No
Regions.NstringRegion list (optional). See Region and Zone ListNo
PricingSkus.NstringBilling unit SKU list (optional)No
ProductCodes.NstringProduct code list (optional). Enum: modelverse, sandboxNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataDownloadFileDataDownload file infoYes

Data Model

DownloadFileData

Field NameTypeDescription InformationRequired
DownloadURLstringFile download URL (US3 presigned URL, download promptly within validity period)No
FileNamestringFile nameNo
FileSizeintFile size (bytes)No

Example

Request Example

https://api.dezai.com/?Action=DownloadOrderSummary &Region=cn-zj &Zone=cn-zj-01 &ProjectId=ZVFLqbxn &ResourceIds.N=BONixqED &ModelIds.N=nCcsbuQl &PricingUnits.N=7 &OrderTypes.N=5 &ChargeTypes.N=4 &StartTime=8 &EndTime=4 &ResourceIds.N=xYoOQLWh &ModelIds.N=rWnTQfwE &PricingUnits.N=3 &OrderTypes.N=4 &ChargeTypes.N=4 &StartTime=3 &EndTime=6 &OrganizationIds.N=2 &Regions.N=DocWWrys &PricingSkus.N=rYuUvYgY &ProductCodes.N=nzsleIUe

Response Example

{ "Action": "DownloadOrderSummaryResponse", "Data": {}, "RetCode": 0 }